Subject: Re: [Fwd: a special day with Charles Darwin]

From: [email-masked]
Date: Tue, 4 Apr 2006 12:57:09 EDT

David: Can you make a hard copy of the poem(s) so I can see what they are  
actually requesting? What you have suggested is fine with me. Bob

In a message dated 4/3/06 5:35:35 PM Pacific Daylight Time,  
[email-masked] writes:

My take  is that they're two people promoting her reading his poems in 
Toronto, and  they sent the announcement to us in hopes we'd publicize 
it.  I  haven't Googled their names to see if they're noteworthy.

Since we  don't know much about them, and we can't target a mailing to 
Canadians  near Toronto, I'd register them as another event in 2006 and 
let it go at  that.

- David